Subject: Re: bug#28500: 25.3; shell mode starts echoing command

From: Barry Warsaw <[email-masked]>
Date: Tue, 19 Sep 2017 09:20:06 -0400

On Sep 19, 2017, at 03:34, Andreas Schwab <[email-masked]> wrote:
> 
> On Sep 18 2017, Mike Kupfer <[email-masked]> wrote:
> 
>> I see the same issue after using openssl to encrypt or decrypt a file.
>> Just never got around to filing a bug report...
>> 
>> -----8<-----8<-----
>> alto$ openssl aes-256-cbc -in foo.txt -out foo.text.enc
>> enter aes-256-cbc encryption password:
>> Verifying - enter aes-256-cbc encryption password:
>> alto$ ls
>> ls
>> deb9-upgrade.log  foo.text.enc	ieee-cs-election-receipt.pdf
>> enchant.dummy*	  foo.txt	net-neutrality-comments.pdf
>> alto$ echo $SHELL
>> echo $SHELL
>> /bin/bash
>> alto$
>> ----->8----->8-----
>> 
>> I see this on Debian 8 and on Solaris, with various versions of Emacs.
> 
> This is a bug in openssl, it doesn't properly restore the tty settings
> after reading the password.

Andreas, can you provide any additional details?  What exactly is not getting restored?  Are the other two examples I posted (python3 and sqlite3) related?  Why would it occur on (for me) macOS but not Ubuntu?